Project

General

Profile

Bug #83331

Cannot change ATIME: proposed ON or OFF, NONE required

Added by Pas Debol over 2 years ago. Updated over 2 years ago.

Status:
Closed
Priority:
No priority
Assignee:
Release Council
Category:
GUI (new)
Target version:
Seen in:
Severity:
New
Reason for Closing:
Duplicate Issue
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No
Tags:

Description

Hello.

On latest 11 stable, tried to change ENABLE ATIME from ON (default) to OFF. I was answered:

<<<< Begin Copy >>>>

Error: Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 305, in do_update
dataset.properties[k] = prop
File "libzfs.pyx", line 374, in libzfs.ZFS.__exit__
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 294, in do_update
prop.value = v['value']
File "libzfs.pyx", line 1069, in libzfs.ZFSProperty.value.__set__
libzfs.ZFSException: use 'none' to disable quota/refquota

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 289, in update
f'{self._config.namespace}.update', self, self.do_update, [id, data]
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 664, in nf
return await f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/pool.py", line 757, in do_update
rv = await self.middleware.call('zfs.dataset.update', id, {'properties': props})
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1145, in call
return await self._call(name, serviceobj, methodobj, params, app=app, pipes=pipes, io_thread=True)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 289, in update
f'{self._config.namespace}.update', self, self.do_update, [id, data]
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1095, in _call
return await run_method(methodobj, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1041, in run_in_thread
return await self.loop.run_in_executor(executor, functools.partial(method, *args, **kwargs))
File "/usr/local/lib/python3.6/concurrent/futures/thread.py", line 56, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 309, in do_update
raise CallError(f'Failed to update dataset: {e}')
middlewared.service_exception.CallError: [EFAULT] Failed to update dataset: use 'none' to disable quota/refquota

<<<< End Copy >>>>

Regards


Related issues

Is duplicate of FreeNAS - Bug #76567: Cannot change "enable atime"Closed

History

#1 Updated by Pas Debol over 2 years ago

EDIT:

Popup says:

report_problem CallError
[EFAULT] Failed to update dataset: use 'none' to disable quota/refquota

add_circle_outline More info...

#2 Updated by Dru Lavigne over 2 years ago

  • Is duplicate of Bug #76567: Cannot change "enable atime" added

#3 Updated by Dru Lavigne over 2 years ago

  • Status changed from Unscreened to Closed
  • Target version changed from Backlog to N/A
  • Reason for Closing set to Duplicate Issue

Pas: please follow the related ticket for the resolution of this issue.

Also available in: Atom PDF